# RakNet::Lobby2Plugin Class Reference
[Lobby2Plugin]

Both Lobby2Server and Lobby2Client derive from this class. More...

`#include <Lobby2Plugin.h>`

Inheritance diagram for RakNet::Lobby2Plugin:

List of all members.

## Public Member Functions
void | SetOrderingChannel (char oc)
| Ordering channel to send messages on.
void | SetSendPriority (PacketPriority pp)
| Send priority to send messages on.
void | SetMessageFactory (Lobby2MessageFactory *f)
| Creates messages from message IDs.
Lobby2MessageFactory * | GetMessageFactory (void) const
| Returns whatever was passed to SetMessageFactory().
virtual void | SetCallbackInterface (Lobby2Callbacks *cb)
| Set the callback to receive the results of operations via SendMsg().
virtual void | AddCallbackInterface (Lobby2Callbacks *cb)
| You can have more than one callback to get called from the results of operations via SendMsg().
virtual void | RemoveCallbackInterface (Lobby2Callbacks *cb)
| Removes a callback added with AddCallbackInterface();.
virtual void | ClearCallbackInterfaces ()
| Removes all callbacks added with AddCallbackInterface();.

## Detailed Description

Both Lobby2Server and Lobby2Client derive from this class.

## Member Function Documentation

void RakNet::Lobby2Plugin::SetMessageFactory | ( | Lobby2MessageFactory * | f | ) |

Creates messages from message IDs.

Server should get a factory that creates messages with database functionality.
Client can use the base class

Parameters:

  `[in]` | f | Class factory instance, which should remain valid for the scope of the plugin

void RakNet::Lobby2Plugin::SetOrderingChannel | ( | char | oc | ) |

Ordering channel to send messages on.

Parameters:

  `[in]` | oc | The ordering channel

void RakNet::Lobby2Plugin::SetSendPriority | ( | PacketPriority | pp | ) |

Send priority to send messages on.

Parameters:

  `[in]` | pp | The packet priority

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/Lobby2/Lobby2Plugin.h